CC1541(1)

NAME
cc1541 - A tool for creating Commodore floppy disk images in D64, D71 or D81 format

SYNOPSIS

cc1541 [options] image.[d64|d71|d81]

OPTIONS

  Disk Related

-n diskname
    Disk name, default=cc1541.

-i id
    Disk ID, default=00 2a.

-4
    Use tracks 35-40 with SPEED DOS BAM formatting.

-5
    Use tracks 35-40 with DOLPHIN DOS BAM formatting.

-d track
    Maintain a shadow directory (copy of the actual directory without a valid BAM).

-g filename
    Write additional g64 output file with given name.

-H message
    Hidden BAM message. Only for D64 (up to 85 chars) or SPEED DOS (up to 20 chars).

-p t,s,o,file
    Write binary patch from file to track t, sector s, offset o.

-V
    Do not modify image unless it is in valid CBM DOS format.

  File Related

-w localname
    Write local file to disk, if filename is not set then the local name is used. After file written, the filename is unset.

-f filename
    Use filename as name when writing next file, use prefix # to include arbitrary PETSCII characters (e.g. -f "start#a0,8,1").

-T filetype
    Filetype for next file, allowed parameters are PRG, SEQ, USR, REL and DEL, or a decimal number between 0 and 255. Default is PRG.

-P
    Set write protect flag for next file.

-O
    Set open flag for next file.

-B numblocks
    Write the given value as file size in blocks to the directory for the next file. Not applicable for Transwarp files.

-L
    Add dir entry without writing file (track and sector will be 0), requires a filename given with -f.

-l filename
    Write loop file (an additional dir entry) to existing file to disk. Wildcards * and ? are supported. Set filename with -f.

-N
    Force creation of a new directory entry, even if a file with the same name exists already.

-o
    Do not overwrite if file with same name exists already.

-X filename
    Extract file from disk image. Wildcards * and ? are supported.

  Track/Sector Control

-S value
    Default sector interleave, default=10. Not applicable for D81.

-s value
    Next file sector interleave, valid after each file. The interleave value falls back to the default value set by -S after the first sector of the next file. Not applicable for D81 or Transwarp files.

-e
    Start next file on an empty track (default start sector is current sector plus interleave).

-E
    Try to fit file on a single track.

-r track
    Restrict next file blocks to the specified track or higher.

-b sector
    Set next file beginning sector to the specified value. Not applicable for D81 or Transwarp files.

-F value
    Next file first sector on a new track (default=0). Any negative value assumes aligned tracks and uses current sector + interleave - value. After each file, the value falls back to the default. Not applicable for D81.

-t
    Use directory track to also store files (makes -x useless) (default no).

-u numblocks
    When using -t, amount of dir blocks to leave free (default=2).

-x
    Don’t split files over directory track hole (default split files).

-c
    Save next file cluster-optimized (d71 only).

  Fastloader Specific

-M numchars
    Hash computation maximum filename length, this must match loader option FILENAME_MAXLENGTH in Krill’s loader. Default is 16.

-m
    Ignore filename hash collisions, without this switch a collision results in an error.

-W localname
    Like -w, but encode file in Transwarp format. Provide Transwarp bootfile as last file using "-f transwarp vX.YZ -w transwarp vX.YZ.prg"

-A value
    Select allocation strategy for Transwarp files (default 1). 0: allocate in the order given on the commandline. 1: save disk space by reordering transwarp files.

-K key
    Set an encryption key for Transwarp files, a string of up to 29 characters.

  Miscellaneous

-h
    Print this command line help.

-v
    Be verbose.

-q
    Be quiet.

-U mapping
    Print PETSCII as Unicode (requires Unicode 13.0 font, e.g. UNSCII). Use mapping 0 for ASCII output, 1 for upper case, 2 for lower case, default is 0.

-R level
    Try to restore deleted and formatted files. level 0: Only restore dir entries without touching any t/s links. level 1: Fix dir entries for files with valid t/s chains. level 2: Also add wild sector chains with valid t/s chains. level 3: Also fix dir entries with invalid t/s chains. level 4: Also add and fix wild invalid t/s chains. level 5: Also add reasonable wild single blocks.

-a
    Print command line options that would create the same directory as the one in the given image (for directory art import).

EXIT STATUS

0
    Success.

-1
    Failure.

RESOURCES

Project web site: https://bitbucket.org/PTV_Claus/cc1541/src

BUG REPORTS

Please report bugs to: https://bitbucket.org/PTV_Claus/cc1541/issues/new

LICENSE

Copyright © 2008-2024 JackAsser, Krill, Claus, Björn Esser.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

AUTHOR

Björn Esser <besser82@fedoraproject.org>
    Author.